## pkg-kde-tools 0.15.12ubuntu1

=== CMakeLists.txt ===
project(pkg-kde-tools)
# 2.6.4 has PERL_VENDORLIB
cmake_minimum_required(VERSION 2.6.4)

# Find required perl bits
find_package(PerlLibs)
if (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(STATUS "Perl VendorLib: ${PERL_VENDORLIB}")
else (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Unable to determine vendorlib. Perl was not found?")
endif (PERL_VENDORLIB AND PERL_EXECUTABLE)

find_program(POD2MAN pod2man)
if (NOT POD2MAN)
    MESSAGE(FATAL_ERROR "pod2man is required to build this package")
endif (NOT POD2MAN)

set(BIN_INSTALL_DIR bin CACHE PATH "Binary/script installation directory")
set(LIB_INSTALL_DIR lib CACHE PATH "Library installation directory")
set(DATA_INSTALL_DIR share/${CMAKE_PROJECT_NAME} CACHE PATH "Data file installation directory")
set(DATALIB_INSTALL_DIR "${DATA_INSTALL_DIR}/lib")
set(MAN_INSTALL_DIR share/man CACHE PATH "Manual page installation directory")
set(INCLUDE_INSTALL_DIR include CACHE PATH "Header file installation directory")
option(DISABLE_TESTS "Disable ${CMAKE_PROJECT_NAME} tests" OFF)

# Function for building & installing manual pages generated from PODs
function(install_pod_manpages section)
    foreach (pod ${ARGN})
        set(man "${CMAKE_CURRENT_BINARY_DIR}/${pod}.${section}")
        add_custom_command(OUTPUT "${man}"
            COMMAND ${POD2MAN} "${CMAKE_CURRENT_SOURCE_DIR}/${pod}" "${man}"
            MAIN_DEPENDENCY ${pod})
        get_filename_component(podfilename ${pod} NAME)
        add_custom_target(pod2man_${pod} ALL DEPENDS ${man}
            COMMENT "Building manual page for ${pod}" SOURCES ${pod})
        install(FILES ${man} DESTINATION "${MAN_INSTALL_DIR}/man${section}"
                             COMPONENT Documentation)
    endforeach (pod ${ARGN})
endfunction(install_pod_manpages section)

# Install data & arch-indep library bundles
install(DIRECTORY cmake makefiles qt-kde-team
        DESTINATION ${DATA_INSTALL_DIR}
        USE_SOURCE_PERMISSIONS
        COMPONENT Programs)

install(DIRECTORY vcslib/
    DESTINATION ${DATA_INSTALL_DIR}/vcs
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY datalib/
    DESTINATION ${DATALIB_INSTALL_DIR}
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY perllib/
    DESTINATION ${PERL_VENDORLIB}
    COMPONENT Programs
    FILES_MATCHING PATTERN "*.pm")

# Install debhelper helpers programs
install(PROGRAMS
    dh_movelibkdeinit
    dh_sameversiondep
    dh_sodeps
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs
)
install_pod_manpages(1 dh_movelibkdeinit dh_sameversiondep dh_sodeps)

# Install pkgkde binaries
install(PROGRAMS
    pkgkde-debs2symbols
    pkgkde-gensymbols
    pkgkde-getbuildlogs
    pkgkde-override-sc-dev-latest
    pkgkde-symbolshelper
    pkgkde-vcs
    pkgkde-git
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs)
install_pod_manpages(1 pkgkde-override-sc-dev-latest)

# Install raw manpages
install(DIRECTORY man1
    DESTINATION ${MAN_INSTALL_DIR}
    COMPONENT Documentation)

# Build dlrestrictions
add_subdirectory(dlrestrictions)

if (NOT DISABLE_TESTS)
    enable_testing()
    add_subdirectory(t)
endif (NOT DISABLE_TESTS)

=== t/dlrestrictions/CMakeLists.txt ===
project(DLRestrictions_tests)

find_package(DLRestrictions REQUIRED NO_MODULE PATHS
    "${DLRestrictions_SOURCE_DIR}"
    "${DLRestrictions_BINARY_DIR}" NO_DEFAULT_PATH)

include_directories(${DLRestrictions_SOURCE_DIR})

add_library(testdlr_deeplib1 SHARED testdlr_deeplib1.c)
set_target_properties(testdlr_deeplib1 PROPERTIES
    OUTPUT_NAME "testdlr_deeplib"
    SOVERSION 1
    VERSION 1.0.0
)

add_library(testdlr_lib1 SHARED testdlr_lib1.c)
set_target_properties(testdlr_lib1 PROPERTIES
    OUTPUT_NAME "testdlr_lib"
    SOVERSION 1
    VERSION 1.0.0
    DLRESTRICTIONS "REJECT:OTHERSOVERSION"
)
target_link_libraries(testdlr_lib1 testdlr_deeplib1)
dlrestrictions_process_targets(testdlr_lib1)

add_library(testdlr_deeplib2 SHARED testdlr_deeplib2.c)
set_target_properties(testdlr_deeplib2 PROPERTIES
    OUTPUT_NAME "testdlr_deeplib"
    SOVERSION 2
    VERSION 2.0.0
)

add_library(testdlr_lib2 SHARED testdlr_lib2.c)
set_target_properties(testdlr_lib2 PROPERTIES
    OUTPUT_NAME "testdlr_lib"
    SOVERSION 2
    VERSION 2.0.0
)
target_link_libraries(testdlr_lib2 testdlr_deeplib1)

add_library(testdlr_plugin SHARED testdlr_plugin.c)
set_target_properties(testdlr_plugin PROPERTIES
    PREFIX ""
    SUFFIX ".so"
)
target_link_libraries(testdlr_plugin testdlr_lib1)

add_library(testdlr_plugin2 SHARED testdlr_plugin.c)
set_target_properties(testdlr_plugin2 PROPERTIES
    PREFIX ""
    SUFFIX ".so"
)
target_link_libraries(testdlr_plugin2 testdlr_lib1)

add_executable(testdlr_loader testdlr_loader.c)
target_link_libraries(testdlr_loader testdlr_lib2 ${CMAKE_DL_LIBS} dlrestrictions)

# Add DLR tests
add_test(testdlr_loader testdlr_loader)
set_tests_properties(testdlr_loader PROPERTIES PASS_REGULAR_EXPRESSION "FAILED dlr_dlopen_extended")

=== debian/changelog ===
pkg-kde-tools (0.15.12ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      compress packages with LZMA
    - add perllib/Debian/Debhelper/Sequence/lzma.pm and xz.pm
    - perllib/Debian/Debhelper/Sequence/kde.pm: include xz sequences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/2/lintian.mk and call it in qt-kde-team/2/debian-qt-kde.mk
    - Depend on python and docbook-to-man, recommend lintian
    - TypeSubst.pm: Anchor architecture matches to the ends of the string, to
      avoid erroneously mapping qreal to float on arm64.
    - TypeSubst.pm: Add arm64 and ppc64el to the 64-bit matches.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 15 Jan 2014 20:36:23 +0400

pkg-kde-tools (0.15.12) unstable; urgency=low

  [ Dmitry Shachnev ]
  * pkgkde-symbolshelper: fix qptrdiff expansion for s390x.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Dec 2013 11:23:46 -0300

pkg-kde-tools (0.15.11) unstable; urgency=low

  * Add support for mips64 and mips64el. Thanks YunQiang Su for the patch.
    (Closes: #723223).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 14 Nov 2013 09:23:17 -0300

pkg-kde-tools (0.15.10) unstable; urgency=low

  * Actually s390 uses 'j' (unsigned int) for quintptr (Closes: #725300).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Oct 2013 19:02:46 -0300

pkg-kde-tools (0.15.9) unstable; urgency=low

  * Add s390 and s390x to the list of archs that use 'y' (unsigned long long)
    as replacement for quintptr (Closes: #725023).
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Oct 2013 17:34:04 -0300

=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 9), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
Standards-Version: 3.9.4
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-kde/pkg-kde-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/pkg-kde-tools.git;a=summary

Package: pkg-kde-tools
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
 python, docbook-to-man
Recommends: dpkg-dev (>= 1.15.6~), libwww-perl, lintian
Suggests: debhelper (>= 7.3.16), cdbs
Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
Description: various packaging tools and scripts for KDE Applications
 This package contains a variety of packaging tools and build scripts that may
 be very useful when packaging KDE applications. Even if you are a maintainer
 of a very small KDE application, this package should be worthwhile checking
 out.
 .
 Main highlights:
  - recommended build flags for building packages based on the KDE Platform;
  - cdbs class for building packages based on the KDE Platform (kde.mk);
  - debhelper build system (--buildsystem=kde) and dh addon (--with kde) for
    building packages based on the KDE Platform;
  - dh_sameversiondep for generating a dependency that is versioned the same
    way as a dependency (coming from the same source) of another reference
    package.
  - dh_movelibkdeinit for moving libkdeinit4_*.so libraries to private
    location;
  - dh_sodeps (and sodeps dh addon) for generating so:Depends substvar for -dev
    packages based to which local packages lib*.so symlinks point to;
  - pkgkde-symbolshelper tool for efficient management of C and C++ symbol
    files;
  - pkgkde-debs2symbols tool for generating symbol files and symbol file
    patches from pre-built binaries in the deb packages;
  - pkgkde-getbuildlogs tool for downloading build logs for the specified
    package (from buildd.debian.org);
  - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
    kde-sc-dev-latest package;
  - pkgkde-vcs tool for performing common tasks when packaging under VCS.
 .
 NOTE: since this package is cumulative, it does not depend on the packages it
 provides helpers for. I.e. you still need to explicitly build depend on
 debhelper or cdbs in your packages.

Package: libdlrestrictions1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library that implements library compatibility checks for dlopen()
 This package provides a DLRestrictions library that can be used to check
 compatibility of the external shared library (or plugin) against other
 libraries currently loaded in the global symbol object. It might help to avoid
 symbol clashes and provide means for graceful failure detection in advance
 before the first dlsym() call. Otherwise, usage of incompatible library might
 result in crashes or other unpredictable failures of the application.
 .
 A shared library that is protected by DLRestrictions provides a special symbol
 which defines conditions under which the library may be safely used. At the
 moment, the only restriction that may be imposed controls whether multiple
 SONAMEs of the same library can safely co-exist in the same symbol space.
 Shared library dependencies are also checked for compatibility.

Package: libdlrestrictions-dev
Architecture: any
Section: libdevel
Depends: libdlrestrictions1 (= ${binary:Version})
Description: development files for the DLRestrictions library
 This package provides development files needed to build both shared libraries,
 which specify their compatibility restrictions, and applications, which check
 whether those restrictions are satisfied before using those libraries. The
 package also contains a CMake module which simplifies building DLRestricted
 shared libraries with CMake.

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

override_dh_install:
	$(overridden_command) --list-missing

# KDE branch to use. Various scripts are coming from kdesdk or other parts of
# KDE, those will preferrably be fetched from the branch (still taking into
# account the revision from below).
KDEBRANCH=v4.10.1

KDEGIT=git://anongit.kde.org
TARGET=kubuntu/libexec
CPTARGET=../kubuntu/libexec
EXPORT=export -r$(SVNREV) --force

# Note that for git we use single branch shallow clone of the git tags. This is
# about as fast as it gets with git.
syncl10ninternal:
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl $(TARGET)/createdesktopcontext.pl
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-messages.sh $(TARGET)/extract-messages.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-xml.sh $(TARGET)/extract-xml.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/msgsplit $(TARGET)/msgsplit
	@echo "Working on kde-dev-scripts"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kde-dev-scripts.git && \
	  cd kde-dev-scripts && \
	    cp extractattr $(CPTARGET) && \
	    cp extractrc   $(CPTARGET)
	@echo "Working on kdelibs"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kdelibs.git && \
	  cd kdelibs && \
	    cp kdeui/preparetips $(CPTARGET)

syncl10nclean:
	rm -rf kde-dev-scripts
	rm -rf kdelibs

# Clean git directories before and after to prevent problems.
syncl10n: syncl10nclean syncl10ninternal syncl10nclean

# ...also clean git directories as part of regular clean.
override_dh_auto_clean: syncl10nclean
	dh_auto_clean

.PHONY: override_dh_auto_clean syncl10n syncl10nclean syncl10ninternal

## pkg-kde-tools 0.15.15~bpo70+1

=== debian/changelog ===
pkg-kde-tools (0.15.15~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 15 Oct 2014 15:35:12 -0300

pkg-kde-tools (0.15.15) unstable; urgency=medium

  * The fix for #744173 required to convert non-anchored regexps to anchored
    ones. The problem with this is that kfreebsd-amd64 was no longer matched.
    Fix it by adding kfreebsd-amd64 in the lists where amd64 appears, as
    they both share the same sizes (Closes: #754765).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 13 Jul 2014 23:21:12 -0300

pkg-kde-tools (0.15.14) unstable; urgency=medium

  [ William Grant ]
  * perllib/Debian/PkgKde/SymbolsHelper/Substs/TypeSubst.pm:
    - Anchor architecture matches to the ends of the string, to avoid
      erroneously mapping qreal to float on arm64.
    - Add arm64 and ppc64el to the 64-bit matches (Closes: #744173).

  [ Helmut Grohne ]
  * Mark binary pkg-kde-tools as M-A:foreign. (Closes: #751338).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 12 Jul 2014 15:45:14 -0300

pkg-kde-tools (0.15.13) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Fix "Useless use of \E at" warning in dhmk.pl.
  * Bump Standards-Version to 3.9.5, no further changes needed.

  [ Pino Toscano ]
  * debcontrol2cmake.pl: filter out binary packages not belonging to the build
    architecture.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 23 Feb 2014 12:02:28 +0100

## pkg-kde-tools 0.15.15

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 9), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -15,9 +14,8 @@
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
- python, docbook-to-man
-Recommends: dpkg-dev (>= 1.15.6~), libwww-perl, lintian
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
+Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
 Description: various packaging tools and scripts for KDE Applications

## pkg-kde-tools 0.15.15ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.15ubuntu1) utopic; urgency=medium

  * Merge with debian, remaining changes:
    - Add kf5 debhelper module for KDE Frameworks 5 (perllib/Debian/Debhelper/*/kf5.pm)
    - Add scripts to build KDE Frameworks 5 & Plasma 5 (qt-kde-team/3/*)
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/install: install kubuntu/ files
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/2/lintian.mk and call it in qt-kde-team/2/debian-qt-kde.mk
    - Depend on python and docbook-to-man, recommend lintian

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 02 Sep 2014 16:00:34 +0200

pkg-kde-tools (0.15.14ubuntu2) utopic; urgency=medium

  * Drop xz.pm and lzma.pm, dpkg >= 1.17.0 has xz compression by default

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 27 May 2014 12:36:58 +0200

pkg-kde-tools (0.15.14ubuntu1) utopic; urgency=medium

  * Merge with Debian git, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      compress packages with LZMA
    - add perllib/Debian/Debhelper/Sequence/lzma.pm and xz.pm
    - perllib/Debian/Debhelper/Sequence/kde.pm: include xz sequences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/2/lintian.mk and call it in qt-kde-team/2/debian-qt-kde.mk
    - Depend on python and docbook-to-man, recommend lintian

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 May 2014 12:29:28 +0200

pkg-kde-tools (0.15.14) stable; urgency=medium

  [ William Grant ]
  * perllib/Debian/PkgKde/SymbolsHelper/Substs/TypeSubst.pm:
    - Anchor architecture matches to the ends of the string, to avoid
      erroneously mapping qreal to float on arm64.
    - Add arm64 and ppc64el to the 64-bit matches (Closes: #744173).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 May 2014 10:12:14 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 9), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
 Standards-Version: 3.9.5
 Uploaders: Sune Vuorela <sune@debian.org>,
@@ -14,7 +15,8 @@
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
+ lintian
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)

## pkg-kde-tools 0.15.16ubuntu2

=== debian/changelog ===
pkg-kde-tools (0.15.16ubuntu2) vivid; urgency=medium

  * Remove debian/KUBUNTU-BZR-WORKFLOW - we are moving to git.debian with
    our delta
  * Bring back kubuntu_l10n dh sequence.
    - This sequence was lost in the kf5 port.
    - It is by default pulled into the kf5 and kde sequence as well.
    - The logic itself is noop unless previously established l10n
      requirements are met.
  * Apply 'remove maintainer checking' to qt-kde-team/3/policy.mk
  * Update syncl10n target and settings for kf5, refresh.
    + preparetips is no longer being pulled in. As far as our uses go
      it is an optional utility and since we do not use tips in our
      applications it is useless for us. Supposedly it was a left over from
      when all kde apps were imported into launchpad.
    + we are intentionally using the kf5 tools across both kde4libs and kf5
      software because I am lazy. Potentially incomplete message extraction is
      still better than no message extraction...
  * New list of remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - Add l10n scripts in kubuntu/
    - Add kubuntu_l10n.pm sequence for Debhelper
    - Require kubuntu_l10n sequence in {kf5,kde}.pm sequence
    - debian/pkg-kde-tools.install: install kubuntu/ files
    - qt-kde-team/{1,2,3}/policy.mk: remove maintainer checking
    - qt-kde-team/{2,3}/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/{2,3}/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/{2,3}/lintian.mk and call it in qt-kde-team/{2,3}/debian-qt-kde.mk

 -- Harald Sitter <sitter@kde.org>  Mon, 16 Feb 2015 10:12:07 +0100

pkg-kde-tools (0.15.16ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/pkg-kde-tools.install: install kubuntu/ files
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/{2,3}/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/{2,3}/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/{2,3}/lintian.mk and call it in qt-kde-team/{2,3}/debian-qt-kde.mk

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 27 Jan 2015 14:20:34 +0300

pkg-kde-tools (0.15.16) experimental; urgency=medium

  [ Rohan Garg ]
  * Add new sequence helpers for KDE Frameowrks 5
  * Drop useless code from KDE Frameworks time
  * Use the KF5 sequence helper
  * Fix sillyness
  * Fix sequence to use KF5 instead of KDE4
  * More misc. fixes for the KF5 sequence
  * meinproc4 is no more in KF5 land, all hail meinproc5
  * Nuke auto_configure duplication, doesn't make sense since we source the KF5 sequence
  * Remove useless pkg-kde-tools.kdev4 file
  * Make sure we don't link to libkdeinit5_ explicitly
  * Make sure ECM_MKSPECS_INSTALL_DIR is also passed
  * Add proper marker while passing ECM_MKSPECS_INSTALL_DIR
  * Use KDE_INSTALL_USE_QT_SYS_PATHS to do the right thing automatically. and drop useless calls.
  * dpkg_architecture_value isn't used, remove

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Jan 2015 13:24:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 9), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,

## pkg-kde-tools 0.15.19ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.19ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kubuntu_l10n.pm:
      + Add sequence for Debhelper.
    - perllib/Debian/Debhelper/Sequence/{kf5,kde}.pm:
      + Require kubuntu_l10n sequence.
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - qt-kde-team/{1,2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call it after the binary target in
        qt-kde-team/{2,3}/debian-qt-kde.mk.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Disable dh_auto_test for armhf PPA builds.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 16 Aug 2015 22:38:44 +0200

pkg-kde-tools (0.15.19) unstable; urgency=medium

  * Team upload.
  * Improve error handling in pkgkde-gensymbols.
    Previously it ignored exceptions from dpkg-gensymbols.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 14 Aug 2015 19:10:10 +0200

pkg-kde-tools (0.15.18ubuntu2) wily; urgency=medium

  * Restore adjustment to linitan.mk such that it doesn't fail on binary only
    builds on account of not finding a dsc

 -- Harald Sitter <sitter@kde.org>  Tue, 01 Sep 2015 13:20:08 +0200

pkg-kde-tools (0.15.18ubuntu1) wily; urgency=low

  * Merge from Debian unstable. (LP: #1475045) Remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kubuntu_l10n.pm:
      + Add sequence for Debhelper.
    - perllib/Debian/Debhelper/Sequence/{kf5,kde}.pm:
      + Require kubuntu_l10n sequence.
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - qt-kde-team/{1,2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call it after the binary target in
        qt-kde-team/{2,3}/debian-qt-kde.mk.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Disable dh_auto_test for armhf PPA builds.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 16 Jul 2015 00:22:40 +0200

pkg-kde-tools (0.15.18) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * pkgkde-mark-private-symbols: Fix a typo in my surname.

  [ Diane Trout ]
  * Modify pkg-kde-tools.install to install pkgkde-gensymbols
    and pkgkde-symbolshelper manpages, making them much more useful.
    Hopefully Closes: #782866 again.

  [ Didier Raboud ]
  * Add a /2/l10n-packages.mk providing a convenient ${kde-l10n:all} substvar
    to be added in Breaks/Replaces for packages that need it.

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 00:08:19 +0200

pkg-kde-tools (0.15.17ubuntu2) wily; urgency=medium

  * Disable dh_auto_test for armhf PPA builds
    + Since 99% of armhf PPA builds (that is excluding those from Canonical)
      are run via qemu-arm and qemu-arm doesn't manage to run any of the
      frameworks tests without segfaulting (either due to Qt or ctest, it's
      not clear) almost all test runs would fail all the time because of qemu.
      Since we cannot explicitly check if we are run through qemu-arm we'll
      instead simply disable auto_test for this entire use case which should
      be good enough for the time being anyway.
      Reviewed by Jonathan...

 -- Harald Sitter <sitter@kde.org>  Mon, 01 Jun 2015 17:48:20 +0200

pkg-kde-tools (0.15.17ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - Add l10n scripts in kubuntu/
    - Add kubuntu_l10n.pm sequence for Debhelper
    - Require kubuntu_l10n sequence in {kf5,kde}.pm sequence
    - debian/pkg-kde-tools.install: install kubuntu/ files
    - qt-kde-team/{1,2,3}/policy.mk: remove maintainer checking
    - Add qt-kde-team/{2,3}/lintian.mk and call it after the binary target in
      qt-kde-team/{2,3}/debian-qt-kde.mk

 -- Harald Sitter <sitter@kde.org>  Fri, 15 May 2015 17:04:16 +0200

pkg-kde-tools (0.15.17) unstable; urgency=medium

  [ Diane Trout ]
  * Add man pages for pkgkde-gensymbols and pkgkde-symbolshelper
    (Closes: #782866).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add pkgkde-mark-private-symbols to avoid shipping the script on every
    Qt5 package.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 13 May 2015 09:40:11 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: debhelper (>= 9), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
+Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
 Standards-Version: 3.9.6
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -15,11 +15,10 @@
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
- lintian
+Depends: libdpkg-perl (>= 1.15.6~), lintian, ${misc:Depends}, ${perl:Depends}
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
-Suggests: debhelper (>= 7.3.16), cdbs
-Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
+Suggests: cdbs, debhelper (>= 7.3.16)
+Breaks: dpkg-dev (<< 1.15.6~), kdelibs5-dev (<< 4:4.2.2)
 Description: various packaging tools and scripts for KDE Applications
  This package contains a variety of packaging tools and build scripts that may
  be very useful when packaging KDE applications. Even if you are a maintainer
@@ -55,7 +54,7 @@
 Package: libdlrestrictions1
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library that implements library compatibility checks for dlopen()
  This package provides a DLRestrictions library that can be used to check
  compatibility of the external shared library (or plugin) against other

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

override_dh_install:
	$(overridden_command) --list-missing

# KDE branch to use. Various scripts are coming from kdesdk or other parts of
# KDE, those will preferrably be fetched from the branch (still taking into
# account the revision from below).
KDEBRANCH=Applications/14.12

KDEGIT=git://anongit.kde.org
TARGET=kubuntu/lib/libexec
CPTARGET=../kubuntu/lib/libexec
EXPORT=export --force

# Note that for git we use single branch shallow clone of the git tags. This is
# about as fast as it gets with git.
syncl10ninternal:
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kf5/scripts/createdesktopcontext.pl $(TARGET)/createdesktopcontext.pl
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kf5/scripts/extract-messages.sh $(TARGET)/extract-messages.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kf5/scripts/extract-xml.sh $(TARGET)/extract-xml.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kf5/scripts/msgsplit $(TARGET)/msgsplit
	@echo "Working on kde-dev-scripts"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kde-dev-scripts.git && \
	  cd kde-dev-scripts && \
	    cp extractattr $(CPTARGET) && \
	    cp extractrc   $(CPTARGET)
	rm -rf kde-dev-scripts

syncl10nclean:
	rm -rf kde-dev-scripts

# Clean git directories before and after to prevent problems.
syncl10n: syncl10nclean syncl10ninternal syncl10nclean

# ...also clean git directories as part of regular clean.
override_dh_auto_clean: syncl10nclean
	dh_auto_clean

.PHONY: override_dh_auto_clean syncl10n syncl10nclean syncl10ninternal

## pkg-kde-tools 0.15.20~ubuntu4

=== CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,7 @@
     pkgkde-debs2symbols
     pkgkde-gensymbols
     pkgkde-getbuildlogs
+    pkgkde-mark-private-symbols
     pkgkde-override-sc-dev-latest
     pkgkde-symbolshelper
     pkgkde-vcs

=== debian/changelog ===
pkg-kde-tools (0.15.20~ubuntu4) xenial; urgency=medium

  * Add eo to the locale list 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jan 2016 21:37:10 +0100

pkg-kde-tools (0.15.20~ubuntu3) xenial; urgency=medium

  * In ubuntu, the cavalencia l10n package is called ca-valencia 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jan 2016 22:39:25 +0100

pkg-kde-tools (0.15.20~ubuntu2) xenial; urgency=medium

  * Drop the ECM_MKSPECS_INSTALL_DIR override in kf5.pm, it's obsolete and
    uses an inexistent function call

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 08 Dec 2015 22:41:11 +0100

pkg-kde-tools (0.15.20~ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kubuntu_l10n.pm:
      + Add sequence for Debhelper.
    - perllib/Debian/Debhelper/Sequence/{kf5,kde}.pm:
      + Require kubuntu_l10n sequence.
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - qt-kde-team/{1,2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call it after the binary target in
        qt-kde-team/{2,3}/debian-qt-kde.mk.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Disable dh_auto_test for armhf PPA builds.
  * Add missing file from Debian qt-kde-team/2/l10n-packages.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Dec 2015 11:33:48 +0000

pkg-kde-tools (0.15.20) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * Minor fixes to pkgkde-mark-private-symbols.1 manpage.

  [ Maximiliano Curia ]
  * Drop stale copy of Dpkg/Shlibs (2010-02-21), and use the ones from
    libdpkg-perl instead.
    - Drop the find_datalibdir and setup_datalibdir functions and the
      DATALIBDIR global variable.
    - Adapt pkgkde-gensymbols and pkgkde-symbolshelper accordingly.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 15 Aug 2015 14:29:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
 Standards-Version: 3.9.6
 Uploaders: Sune Vuorela <sune@debian.org>,

## pkg-kde-tools 0.15.21~bpo8+1

=== debian/changelog ===
pkg-kde-tools (0.15.21~bpo8+1) jessie-backports; urgency=medium

  * Jessie backport.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 28 Jun 2016 20:24:47 -0300

pkg-kde-tools (0.15.21) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * pkgkde-mark-qt5-private-symbols:
    - Make --write-results option the default, add option --print-diff for the
      old behavior.
    - Do not try to mark private symbols if alternative dependency is not
      specified in the symbols file.
  * Use canonical URL in Vcs-Browser field.

  [ Maximiliano Curia ]
  * pkgkde-symbolshelper: Add time_t type substitution.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 08 May 2016 10:38:28 +0200

pkg-kde-tools (0.15.20) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Minor fixes to pkgkde-mark-private-symbols.1 manpage.
  * Add a new script (pkgkde-mark-qt5-private-symbols) which is a replacement
    for the old script (pkgkde-mark-private-symbols) that works with Qt ≥ 5.6.
    - Add dependency on python3:any for this script.
    - Write the manual page for this script.
  * Drop obsolete debian/source/options file. We do not want to force bzip2
    compression now that xz is the dpkg default.

  [ Maximiliano Curia ]
  * Drop stale copy of Dpkg/Shlibs (2010-02-21), and use the ones from
    libdpkg-perl instead.
    - Drop the find_datalibdir and setup_datalibdir functions and the
      DATALIBDIR global variable.
    - Adapt pkgkde-gensymbols and pkgkde-symbolshelper accordingly.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 29 Dec 2015 18:44:43 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
 Standards-Version: 3.9.6
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Vcs-Git: git://anonscm.debian.org/pkg-kde/pkg-kde-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/pkg-kde-tools.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
 
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: libdpkg-perl (>= 1.15.6~), lintian, ${misc:Depends}, ${perl:Depends}
+Depends: libdpkg-perl (>= 1.15.6~),
+         python3:any (>= 3.3.2-2~),
+         ${misc:Depends},
+         ${perl:Depends}
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: cdbs, debhelper (>= 7.3.16)
 Breaks: dpkg-dev (<< 1.15.6~), kdelibs5-dev (<< 4:4.2.2)

## pkg-kde-tools 0.15.21~ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.21~ubuntu1) yakkety; urgency=medium

  * Merge with debian git master (LP: #1536169)
  * Update VCS fiels for the new repository location 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 08 May 2016 01:46:22 +0200

pkg-kde-tools (0.15.21) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * pkgkde-mark-qt5-private-symbols:
    - Make --write-results option the default, add option --print-diff for the
      old behavior.
    - Do not try to mark private symbols if alternative dependency is not
      specified in the symbols file.
  * Use canonical URL in Vcs-Browser field.

  [ Maximiliano Curia ]
  * pkgkde-symbolshelper: Add time_t type substitution.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Jan 2016 20:52:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
 Standards-Version: 3.9.6
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
 
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.15.6~),
          python3:any (>= 3.3.2-2~),
+         lintian,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl

## pkg-kde-tools 0.15.24

=== CMakeLists.txt ===
--- 
+++ 
@@ -75,6 +75,7 @@
     pkgkde-gensymbols
     pkgkde-getbuildlogs
     pkgkde-mark-private-symbols
+    pkgkde-mark-qt5-private-symbols
     pkgkde-override-sc-dev-latest
     pkgkde-symbolshelper
     pkgkde-vcs

=== debian/changelog ===
pkg-kde-tools (0.15.24) unstable; urgency=medium

  * pkgkde-symbolshelper: Do not pass stderr handle to Dpkg::IPC::spawn,
    to workaround #839905 (patch does not print to stderr anyway).
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Oct 2016 21:33:01 +0300

pkg-kde-tools (0.15.23) unstable; urgency=medium

  * Add myself to Uploaders.
  * dh_sodeps: make it work also for libraries in the multiarch directory.
  * dh_sameversiondep: fix typo in documentation.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 09:53:43 +0200

pkg-kde-tools (0.15.22) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * pkgkde-symbolshelper: Add type substitution for long double.

  [ Pino Toscano ]
  * Drop -DCMAKE_USE_RELATIVE_PATHS=ON from the CMake flags: it is no more
    supported in recent versions, and its usage breaks functionalities
    (e.g. the QFINDTESTDATA system in Qt 5).
  * Fix typo in copyright.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 20 Jul 2016 22:10:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Pino Toscano <pino@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>,
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
 
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.15.6~),
          python3:any (>= 3.3.2-2~),
-         lintian,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

override_dh_install:
	$(overridden_command) --list-missing

## pkg-kde-tools 0.15.24ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.24ubuntu1) zesty; urgency=medium

  * Merge with debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 02 Feb 2017 00:44:08 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.15.6~),
+         lintian,
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

## pkg-kde-tools 0.15.25ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.25ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Lots of Kubuntu-specific patches to the packaging.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Sep 2017 00:13:38 -0500

pkg-kde-tools (0.15.25) unstable; urgency=medium

  [ Helmut Grohne ]
  * Make bit-dependent type substitutions work generically (Closes: #854493).

  [ Maximiliano Curia ]
  * (l10n-packages.mk) Add missing ast and eo langs

  [ Dmitry Shachnev ]
  * pkgkde-vcs: Add jessie and stretch to supported distributions (Closes:
    #873243). Thanks to Sandro Knauß for the initial patch.
  * pkgkde-vcs: Make Git version mangling more close to DEP-14: do not
    strip epoch numbers, and replace tildes with underscores.
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Aug 2017 17:30:03 +0300

pkg-kde-tools (0.15.24ubuntu3) artful; urgency=medium

  * No change rebuild against Qt 5.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2017 14:41:43 -0500

pkg-kde-tools (0.15.24ubuntu2) artful; urgency=medium

  * Backport changes from qt-kde-team/3/lintian.mk into the KDE 4 version
    This aims to backport the changes made in the commit
    33e480ee49ad7fc09c22333234862275cc74f57c
    authored by Harald whose commit message is:
    "ignore when lintian target falls over dead
     - genchanges will fail if it can't find a suitable .dsc in ../
     - also prevent subsequent fail from cleanup of temporary file"
    This change is needed to make kde4libs build properly when running the
    autopkgtests using the restiction 'build-needed'

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 26 Jun 2017 22:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pkg-kde-tools
 Section: devel
-Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,

## pkg-kde-tools 0.15.28

=== debian/changelog ===
pkg-kde-tools (0.15.28) unstable; urgency=medium

  * Bump libdpkg-perl build-dependency too, to make the tests pass.
  * Adapt to SymbolFile API changes in libdpkg-perl 1.19.0 (Closes: #878892).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Oct 2017 19:52:53 +0300

pkg-kde-tools (0.15.27) unstable; urgency=medium

  * Adapt SymbolsHelper to debarch_to_cpuattrs() → debarch_to_abiattrs()
    renaming in libdpkg-perl 1.19.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Oct 2017 17:53:45 +0300

pkg-kde-tools (0.15.26) unstable; urgency=medium

  * Add a new script, dh_qmlcdeps, for generating proper Qt dependencies
    for QML compiled data files (Closes: #872325).
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Fix syntax error in pkgkde-symbolshelper.1 manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Oct 2017 10:16:06 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.15.6~)
-Standards-Version: 4.1.0
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.19.0~)
+Standards-Version: 4.1.1
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -17,8 +16,7 @@
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: libdpkg-perl (>= 1.15.6~),
-         lintian,
+Depends: libdpkg-perl (>= 1.19.0~),
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}
@@ -43,6 +41,8 @@
     location;
   - dh_sodeps (and sodeps dh addon) for generating so:Depends substvar for -dev
     packages based to which local packages lib*.so symlinks point to;
+  - dh_qmlcdeps (and qmlcdeps dh addon) for generating qmlc:Depends substvar
+    for packages shipping QML cache files.
   - pkgkde-symbolshelper tool for efficient management of C and C++ symbol
     files;
   - pkgkde-debs2symbols tool for generating symbol files and symbol file
